### Function Macro

# GLib datalist_set_data

since: 2.0

#### Declaration

    #define g_datalist_set_data (
      dl,
      k,
      d
    )

#### Description

Sets the data element corresponding to the given string identifier.

Available since: 2.0

This function is not directly available to language bindings.

#### Parameters

`dl`

  Type: `-`

  A datalist.

`k`

  Type: `-`

  The string to identify the data element.

`d`

  Type: `-`

  The data element, or `NULL` to remove any previous element corresponding to `k`.